# Class: AEADEncryptedDataPacket

## AEADEncryptedDataPacket()

Implementation of the Symmetrically Encrypted Authenticated Encryption with Additional Data (AEAD) Protected Data Packet

https://tools.ietf.org/html/draft-ford-openpgp-format-00#section-2.1: AEAD Protected Data Packet

## Constructor

#### new AEADEncryptedDataPacket()

Source:
  - packet/aead_encrypted_data.js, line 49

### Members

#### aeadAlgorithm :enums.aead

##### Type:

- enums.aead

Source:
  - packet/aead_encrypted_data.js, line 59

#### cipherAlgorithm :enums.symmetric

##### Type:

- enums.symmetric

Source:
  - packet/aead_encrypted_data.js, line 57

### Methods

#### (async) decrypt(sessionKeyAlgorithm, key, configopt)

Decrypt the encrypted payload.

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`sessionKeyAlgorithm` | enums.symmetric |  | The session key's cipher algorithm
`key` | Uint8Array |  | The session key used to encrypt the payload
`config` | Object | <optional> | Full configuration, defaults to openpgp.config

Source:
  - packet/aead_encrypted_data.js, line 103

##### Throws:

if decryption was not successful

Type
  Error

#### (async) encrypt(sessionKeyAlgorithm, key, configopt)

Encrypt the packet payload.

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`sessionKeyAlgorithm` | enums.symmetric |  | The session key's cipher algorithm
`key` | Uint8Array |  | The session key used to encrypt the payload
`config` | Object | <optional> | Full configuration, defaults to openpgp.config

Source:
  - packet/aead_encrypted_data.js, line 119

##### Throws:

if encryption was not successful

Type
  Error

#### (async) read(bytes)

Parse an encrypted payload of bytes in the order: version, IV, ciphertext (see specification)

##### Parameters:

Name | Type | Description
--- | --- | ---
`bytes` | Uint8Array | ReadableStream.<Uint8Array> |

Source:
  - packet/aead_encrypted_data.js, line 71

##### Throws:

on parsing failure

Type
  Error

#### write() → {Uint8Array|ReadableStream.<Uint8Array>}

Write the encrypted payload of bytes in the order: version, IV, ciphertext (see specification)

Source:
  - packet/aead_encrypted_data.js, line 91

##### Returns:

The encrypted payload.

Type
  Uint8Array | ReadableStream.<Uint8Array>